Skip to main content
GET
/
findings
/
{id}
/
tests
Get finding tests by ID
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/findings/{id}/tests \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "uid": "NETSCAN-SNIPER-TESTED-MODULES",
      "description": "Scanned for vulnerabilities using Sniper modules",
      "resource_type": "finding",
      "resource_id": 2,
      "metadata": {
        "port": 4445,
        "sniper_modules": [
          "SSH AUTHENTICATED SCAN",
          "SSH user enumeration (CVE-2018-15473)"
        ]
      },
      "performed_at": "2026-01-01 12:00:00"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://pentest-tools.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Path Parameters

id
integer
required

id of finding

Response

OK

data
object[]
required